#Copyright (c) 2015 3D Control Systems LTD

#3DPrinterOS client is free software: you can redistribute it and/or modify
#it under the terms of the GNU Affero General Public License as published by
#the Free Software Foundation, either version 3 of the License, or
#(at your option) any later version.

#3DPrinterOS client is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU Affero General Public License for more details.

#You should have received a copy of the GNU Affero General Public License
#along with 3DPrinterOS client.  If not, seehttp://www.gnu.org/licenses/>.

# Author: Vladimir Avdeev <another.vic@yandex.ru>

import sys
import hashlib

import user_login

class DummyApp:
    pass

dummy_app = DummyApp()
dummy_app.stop_flag = False

if __name__ == '__main__':
    login_manager = user_login.UserLogin(app=dummy_app)
    if len(sys.argv) < 3:
        error = 'Two arguments required: login and password'
    else:
        password = hashlib.sha256(sys.argv[2]).hexdigest()
        error = login_manager.login_as_user(sys.argv[1], password)
    if error:
        print 'Login failed! ' + str(error)
    else:
        print 'Login successful: ' + sys.argv[1]